# Uses of Class
org.eclipse.birt.chart.computation.DataPointHints

Packages that use DataPointHints
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of DataPointHints in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return DataPointHints
Modifier and Type
Method
Description
`DataPointHints`
DataPointHints.`getVirtualCopy()`
Returns a copy of current DataPointHints object, which is virtual.
Methods in org.eclipse.birt.chart.computation with parameters of type DataPointHints
Modifier and Type
Method
Description
`final void`
UserDataSetHints.`next(DataPointHints dph)`
Next all associated datasetiterators and update the datapointhints object.

## Uses of DataPointHints in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return DataPointHints
Modifier and Type
Method
Description
`DataPointHints[]`
SeriesRenderingHints.`getDataPoints()`
`DataPointHints[]`
SeriesRenderingHints3D.`getDataPoints()`
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type DataPointHints
Modifier
Constructor
Description
``
`SeriesRenderingHints(PlotWith2DAxes _pwa, double _dAxisLocation, double _dPlotBaseLocation, double _dZeroLocation, double _dSeriesThickness, AxisTickCoordinates _daTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, StackedSeriesLookup _ssl, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal)`
``
`SeriesRenderingHints3D(PlotWith3DAxes _pwa, double _dXAxisLocation, double _dZAxisLocation, double _dPlotBaseLocation, double _dPlotZeroLocation, double _dPlotHeight, AxisTickCoordinates _daXTickCoordinates, AxisTickCoordinates _daZTickCoordinates, DataPointHints[] _dpa, AutoScale _scBase, AutoScale _scOrthogonal, AutoScale _scAncillary, DataSetIterator _dsiBase, DataSetIterator _dsiOrthogonal, DataSetIterator _dsiAncillary)`

## Uses of DataPointHints in org.eclipse.birt.chart.computation.withoutaxes

Methods in org.eclipse.birt.chart.computation.withoutaxes that return DataPointHints
Modifier and Type
Method
Description
`final DataPointHints[]`
SeriesRenderingHints.`getDataPoints()`

## Uses of DataPointHints in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type DataPointHints
Modifier and Type
Method
Description
`static StructureSource`
WrappedStructureSource.`createSeriesDataElement(Series se, DataPointHints dph)`
Creates a WrappedStructure Source for type Series Element with a Series parent.
`static StructureSource`
WrappedStructureSource.`createSeriesDataPoint(Series se, DataPointHints dph)`
Creates a WrappedStructure Source for type Series DataPoint with a Series parent.

## Uses of DataPointHints in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return DataPointHints
Modifier and Type
Method
Description
`DataPointHints[]`
ISeriesRenderingHints.`getDataPoints()`

## Uses of DataPointHints in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type DataPointHints
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
Called after drawing each datapoint graphical representation or marker.
`void`
ChartEventHandlerAdapter.`afterDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
Called after rendering the label for each datapoint.
`void`
ChartEventHandlerAdapter.`afterDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
Called after drawing each marker.
`void`
ChartEventHandlerAdapter.`beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc)`
Called before drawing each datapoint graphical representation or marker.
`void`
ChartEventHandlerAdapter.`beforeDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawDataPointLabel(DataPointHints dph, Label label, IChartScriptContext icsc)`
Called before rendering the label for each datapoint.
`void`
ChartEventHandlerAdapter.`beforeDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
Called before drawing each marker.